libzypp: zypp::RepoInfo::Impl Struct Reference

libzypp 17.36.6

Public Member Functions | Public Attributes | Static Public Attributes | Private Member Functions | Private Attributes | Friends | Related Symbols | List of all members
zypp::RepoInfo::Impl Struct Reference

RepoInfo implementation. More...

## Public Member Functions
| Impl ()
| Impl (const Impl &)=default
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| ~Impl ()
void | setType (const repo::RepoType &t)
void | setProbedType (const repo::RepoType &t) const
repo::RepoType | type () const
Pathname | licenseTgz (const std::string &name_r) const
| Path to a license tarball in case it exists in the repo.
const RepoVariablesReplacedUrlList & | baseUrls () const
RepoVariablesReplacedUrlList & | baseUrls ()
bool | baseurl2dump () const
const RepoVariablesReplacedUrlList & | gpgKeyUrls () const
RepoVariablesReplacedUrlList & | gpgKeyUrls ()
std::string | repoStatusString () const
const std::set< std::string > & | contentKeywords () const
void | addContent (const std::string &keyword_r)
bool | hasContent () const
bool | hasContent (const std::string &keyword_r) const
TriBool | internalValidRepoSignature () const
| Signature check result needs to be stored/retrieved from _metadataPath.
void | internalSetValidRepoSignature (TriBool value_r)
bool | internalUnsignedConfirmed () const
| We definitely have a symlink pointing to "indeterminate" (for repoGpgCheckIsMandatory)?
bool | triBoolFromPath (const Pathname &path_r, TriBool &ret_r) const
TriBool | triBoolFromPath (const Pathname &path_r) const
TriBool | rawGpgCheck () const
TriBool | rawRepoGpgCheck () const
TriBool | rawPkgGpgCheck () const
void | rawGpgCheck (TriBool val_r)
void | rawRepoGpgCheck (TriBool val_r)
void | rawPkgGpgCheck (TriBool val_r)
bool | cfgGpgCheck () const
TriBool | cfgRepoGpgCheck () const
TriBool | cfgPkgGpgCheck () const
void | metadataPath (Pathname new_r)
void | packagesPath (Pathname new_r)
bool | usesAutoMetadataPaths () const
Pathname | metadataPath () const
Pathname | packagesPath () const
Pathname | predownloadPath () const

## Public Attributes
TriBool | keeppackages
RepoVariablesReplacedUrl | _mirrorListUrl
bool | _mirrorListForceMetalink
Pathname | path
std::string | service
std::string | targetDistro
DefaultIntegral< unsigned, defaultPriority > | priority
bool | emptybaseurls

## Static Public Attributes
static const unsigned | defaultPriority = 99
static const unsigned | noPriority = unsigned(-1)

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Private Attributes
TriBool | _rawGpgCheck
| default gpgcheck behavior: Y/N/ZConf
TriBool | _rawRepoGpgCheck
| need to check repo sign.: Y/N/(ZConf(Y/N/gpgCheck))
TriBool | _rawPkgGpgCheck
| need to check pkg sign.: Y/N/(ZConf(Y/N/gpgCheck))
TriBool | _validRepoSignature
| have signed and valid repo metadata
repo::RepoType | _type
Pathname | _metadataPath
Pathname | _packagesPath
RepoVariablesReplacedUrlList | _baseUrls
std::pair< FalseBool, std::set< std::string > > | _keywords
RepoVariablesReplacedUrlList | _gpgKeyUrls

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const RepoInfo::Impl &obj)
| Stream output.

## Detailed Description

RepoInfo implementation.

Definition at line 78 of file RepoInfo.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::RepoInfo::Impl::Impl | ( |  | ) |
| inline

Definition at line 80 of file RepoInfo.cc.

## ◆ Impl() [2/3]

zypp::RepoInfo::Impl::Impl | ( | const Impl & |  | ) |
| default

## ◆ Impl() [3/3]

zypp::RepoInfo::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::RepoInfo::Impl::~Impl | ( |  | ) |
| inline

Definition at line 96 of file RepoInfo.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::RepoInfo::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::RepoInfo::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ setType()

void zypp::RepoInfo::Impl::setType | ( | const repo::RepoType & | t | ) |
| inline

Definition at line 102 of file RepoInfo.cc.

## ◆ setProbedType()

void zypp::RepoInfo::Impl::setProbedType | ( | const repo::RepoType & | t | ) | const
| inline

Definition at line 105 of file RepoInfo.cc.

## ◆ type()

repo::RepoType zypp::RepoInfo::Impl::type | ( |  | ) | const
| inline

Definition at line 111 of file RepoInfo.cc.

## ◆ licenseTgz()

Pathname zypp::RepoInfo::Impl::licenseTgz | ( | const std::string & | name_r | ) | const
| inline

Path to a license tarball in case it exists in the repo.

Definition at line 120 of file RepoInfo.cc.

## ◆ baseUrls() [1/2]

const RepoVariablesReplacedUrlList & zypp::RepoInfo::Impl::baseUrls | ( |  | ) | const
| inline

Definition at line 145 of file RepoInfo.cc.

## ◆ baseUrls() [2/2]

RepoVariablesReplacedUrlList & zypp::RepoInfo::Impl::baseUrls | ( |  | ) |
| inline

Definition at line 158 of file RepoInfo.cc.

## ◆ baseurl2dump()

bool zypp::RepoInfo::Impl::baseurl2dump | ( |  | ) | const
| inline

Definition at line 161 of file RepoInfo.cc.

## ◆ gpgKeyUrls() [1/2]

const RepoVariablesReplacedUrlList & zypp::RepoInfo::Impl::gpgKeyUrls | ( |  | ) | const
| inline

Definition at line 165 of file RepoInfo.cc.

## ◆ gpgKeyUrls() [2/2]

RepoVariablesReplacedUrlList & zypp::RepoInfo::Impl::gpgKeyUrls | ( |  | ) |
| inline

Definition at line 168 of file RepoInfo.cc.

## ◆ repoStatusString()

std::string zypp::RepoInfo::Impl::repoStatusString | ( |  | ) | const
| inline

Definition at line 171 of file RepoInfo.cc.

## ◆ contentKeywords()

const std::set< std::string > & zypp::RepoInfo::Impl::contentKeywords | ( |  | ) | const
| inline

Definition at line 181 of file RepoInfo.cc.

## ◆ addContent()

void zypp::RepoInfo::Impl::addContent | ( | const std::string & | keyword_r | ) |
| inline

Definition at line 184 of file RepoInfo.cc.

## ◆ hasContent() [1/2]

bool zypp::RepoInfo::Impl::hasContent | ( |  | ) | const
| inline

Definition at line 187 of file RepoInfo.cc.

## ◆ hasContent() [2/2]

bool zypp::RepoInfo::Impl::hasContent | ( | const std::string & | keyword_r | ) | const
| inline

Definition at line 232 of file RepoInfo.cc.

## ◆ internalValidRepoSignature()

TriBool zypp::RepoInfo::Impl::internalValidRepoSignature | ( |  | ) | const
| inline

Signature check result needs to be stored/retrieved from _metadataPath.

Don't call them from outside validRepoSignature/setValidRepoSignature

Definition at line 239 of file RepoInfo.cc.

## ◆ internalSetValidRepoSignature()

void zypp::RepoInfo::Impl::internalSetValidRepoSignature | ( | TriBool | value_r | ) |
| inline

Definition at line 253 of file RepoInfo.cc.

## ◆ internalUnsignedConfirmed()

bool zypp::RepoInfo::Impl::internalUnsignedConfirmed | ( |  | ) | const
| inline

We definitely have a symlink pointing to "indeterminate" (for repoGpgCheckIsMandatory)?

I.e. user accepted the unsigned repo in Downloader. A test whether `internalValidRepoSignature` is indeterminate would include not yet checked repos, which is unwanted here.

Definition at line 275 of file RepoInfo.cc.

## ◆ triBoolFromPath() [1/2]

bool zypp::RepoInfo::Impl::triBoolFromPath | ( | const Pathname & | path_r,
|  | TriBool & | ret_r ) const
| inline

Definition at line 281 of file RepoInfo.cc.

## ◆ triBoolFromPath() [2/2]

TriBool zypp::RepoInfo::Impl::triBoolFromPath | ( | const Pathname & | path_r | ) | const
| inline

Definition at line 307 of file RepoInfo.cc.

## ◆ rawGpgCheck() [1/2]

TriBool zypp::RepoInfo::Impl::rawGpgCheck | ( |  | ) | const
| inline

Definition at line 318 of file RepoInfo.cc.

## ◆ rawRepoGpgCheck() [1/2]

TriBool zypp::RepoInfo::Impl::rawRepoGpgCheck | ( |  | ) | const
| inline

Definition at line 319 of file RepoInfo.cc.

## ◆ rawPkgGpgCheck() [1/2]

TriBool zypp::RepoInfo::Impl::rawPkgGpgCheck | ( |  | ) | const
| inline

Definition at line 320 of file RepoInfo.cc.

## ◆ rawGpgCheck() [2/2]

void zypp::RepoInfo::Impl::rawGpgCheck | ( | TriBool | val_r | ) |
| inline

Definition at line 322 of file RepoInfo.cc.

## ◆ rawRepoGpgCheck() [2/2]

void zypp::RepoInfo::Impl::rawRepoGpgCheck | ( | TriBool | val_r | ) |
| inline

Definition at line 323 of file RepoInfo.cc.

## ◆ rawPkgGpgCheck() [2/2]

void zypp::RepoInfo::Impl::rawPkgGpgCheck | ( | TriBool | val_r | ) |
| inline

Definition at line 324 of file RepoInfo.cc.

## ◆ cfgGpgCheck()

bool zypp::RepoInfo::Impl::cfgGpgCheck | ( |  | ) | const
| inline

Definition at line 326 of file RepoInfo.cc.

## ◆ cfgRepoGpgCheck()

TriBool zypp::RepoInfo::Impl::cfgRepoGpgCheck | ( |  | ) | const
| inline

Definition at line 328 of file RepoInfo.cc.

## ◆ cfgPkgGpgCheck()

TriBool zypp::RepoInfo::Impl::cfgPkgGpgCheck | ( |  | ) | const
| inline

Definition at line 330 of file RepoInfo.cc.

## ◆ metadataPath() [1/2]

void zypp::RepoInfo::Impl::metadataPath | ( | Pathname | new_r | ) |
| inline

Definition at line 344 of file RepoInfo.cc.

## ◆ packagesPath() [1/2]

void zypp::RepoInfo::Impl::packagesPath | ( | Pathname | new_r | ) |
| inline

Definition at line 347 of file RepoInfo.cc.

## ◆ usesAutoMetadataPaths()

bool zypp::RepoInfo::Impl::usesAutoMetadataPaths | ( |  | ) | const
| inline

Definition at line 350 of file RepoInfo.cc.

## ◆ metadataPath() [2/2]

Pathname zypp::RepoInfo::Impl::metadataPath | ( |  | ) | const
| inline

Definition at line 353 of file RepoInfo.cc.

## ◆ packagesPath() [2/2]

Pathname zypp::RepoInfo::Impl::packagesPath | ( |  | ) | const
| inline

Definition at line 360 of file RepoInfo.cc.

## ◆ predownloadPath()

Pathname zypp::RepoInfo::Impl::predownloadPath | ( |  | ) | const
| inline

Definition at line 367 of file RepoInfo.cc.

## ◆ clone()

Impl * zypp::RepoInfo::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 386 of file RepoInfo.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const RepoInfo::Impl & | obj )
| related

Stream output.

Definition at line 392 of file RepoInfo.cc.

## Member Data Documentation

## ◆ defaultPriority

const unsigned zypp::RepoInfo::Impl::defaultPriority = 99
| static

Definition at line 99 of file RepoInfo.cc.

## ◆ noPriority

const unsigned zypp::RepoInfo::Impl::noPriority = unsigned(-1)
| static

Definition at line 100 of file RepoInfo.cc.

## ◆ _rawGpgCheck

TriBool zypp::RepoInfo::Impl::_rawGpgCheck
| private

default gpgcheck behavior: Y/N/ZConf

Definition at line 313 of file RepoInfo.cc.

## ◆ _rawRepoGpgCheck

TriBool zypp::RepoInfo::Impl::_rawRepoGpgCheck
| private

need to check repo sign.: Y/N/(ZConf(Y/N/gpgCheck))

Definition at line 314 of file RepoInfo.cc.

## ◆ _rawPkgGpgCheck

TriBool zypp::RepoInfo::Impl::_rawPkgGpgCheck
| private

need to check pkg sign.: Y/N/(ZConf(Y/N/gpgCheck))

Definition at line 315 of file RepoInfo.cc.

## ◆ _validRepoSignature

TriBool zypp::RepoInfo::Impl::_validRepoSignature
| private

have signed and valid repo metadata

Definition at line 334 of file RepoInfo.cc.

## ◆ _type

repo::RepoType zypp::RepoInfo::Impl::_type
| private

Definition at line 335 of file RepoInfo.cc.

## ◆ keeppackages

TriBool zypp::RepoInfo::Impl::keeppackages

Definition at line 337 of file RepoInfo.cc.

## ◆ _mirrorListUrl

RepoVariablesReplacedUrl zypp::RepoInfo::Impl::_mirrorListUrl

Definition at line 338 of file RepoInfo.cc.

## ◆ _mirrorListForceMetalink

bool zypp::RepoInfo::Impl::_mirrorListForceMetalink

Definition at line 339 of file RepoInfo.cc.

## ◆ path

Pathname zypp::RepoInfo::Impl::path

Definition at line 340 of file RepoInfo.cc.

## ◆ service

std::string zypp::RepoInfo::Impl::service

Definition at line 341 of file RepoInfo.cc.

## ◆ targetDistro

std::string zypp::RepoInfo::Impl::targetDistro

Definition at line 342 of file RepoInfo.cc.

## ◆ priority

DefaultIntegral<unsigned,defaultPriority> zypp::RepoInfo::Impl::priority

Definition at line 372 of file RepoInfo.cc.

## ◆ emptybaseurls

bool zypp::RepoInfo::Impl::emptybaseurls
| mutable

Definition at line 373 of file RepoInfo.cc.

## ◆ _metadataPath

Pathname zypp::RepoInfo::Impl::_metadataPath
| private

Definition at line 376 of file RepoInfo.cc.

## ◆ _packagesPath

Pathname zypp::RepoInfo::Impl::_packagesPath
| private

Definition at line 377 of file RepoInfo.cc.

## ◆ _baseUrls

RepoVariablesReplacedUrlList zypp::RepoInfo::Impl::_baseUrls
| mutableprivate

Definition at line 379 of file RepoInfo.cc.

## ◆ _keywords

std::pair<FalseBool, std::set<std::string> > zypp::RepoInfo::Impl::_keywords
| mutableprivate

Definition at line 380 of file RepoInfo.cc.

## ◆ _gpgKeyUrls

RepoVariablesReplacedUrlList zypp::RepoInfo::Impl::_gpgKeyUrls
| private

Definition at line 382 of file RepoInfo.cc.

The documentation for this struct was generated from the following file:

- zypp/RepoInfo.cc